<?php
/*********************************************************************************
	Debit API Demo - Abbuchung
	- reagiert bei Abbuchung und aktualisiert Userguthaben
*********************************************************************************/
require_once 'config.php';

$break = false;
try {
// dispatcher erzeugen
	$dispatcher = new TNvpServiceDispatcher(MCP__DEBITSERVICE_INTERFACE, MCP__DEBITSERVICE_NVP_URL);

// session ermitteln
	$sessionId = getPostVar('sessionId');

// session abfragen
	$res = $dispatcher->sessionGet(SERVICE_ACCESSKEY, SERVICE_TESTMODE, $sessionId);
	$GLOBALS['debug']['dispatcher']['sessionGet'][] = $res;

// sessiondaten ermitteln
	$customerId = $res['customerId'];
	$freeParams = $res['freeParams'];
	$sessionCoins = !empty($freeParams['coins']) ? $freeParams['coins'] : 0;

// user abfragen
	$res = $dispatcher->customerGet(SERVICE_ACCESSKEY, SERVICE_TESTMODE, $customerId);
	$GLOBALS['debug']['dispatcher']['customerGet'][] = $res;

// userdaten ermitteln
	$freeParams = $res['freeParams'];
	$userCoins = !empty($freeParams['coins']) ? $freeParams['coins'] : 0;

// neues guthaben berechnen
	$newUserCoins = $userCoins + $sessionCoins;


// guthaben aktualisieren
	$res = $dispatcher->customerSet(SERVICE_ACCESSKEY, SERVICE_TESTMODE, $customerId, array('coins' => $newUserCoins));
	$GLOBALS['debug']['dispatcher']['customerSet'][] = $res;

// erfolgreich
	echo 'freeParams[charged]=1';
	return;
} catch (Exception $e) {
	$GLOBALS['debug']['exception'][] = $e;
	if(!$break) $errorText = $e->getMessage();
}
// fehler zurückgeben
	echo 'error=1&errormessage=' . $errorText;
?>