<?php
/*********************************************************************************
	Debit API Demo - Testumgebung Abbuchen
*********************************************************************************/
require_once 'config.php';

$break = false;
try {
// dispatcher erzeugen
	$dispatcher = new TNvpServiceDispatcher(MCP__DEBITSERVICE_INTERFACE, MCP__DEBITSERVICE_NVP_URL);

// nur ausführen wenn Formular unten gesendet wurde
	if (getPostVar('action') != 'charge'){
		$break = true;
		throw new Exception('action != charge');
	}

// alle offenen sessions abbuchen
	$res = $dispatcher->sessionChargeTest(SERVICE_ACCESSKEY, SERVICE_TESTMODE);
	$GLOBALS['debug']['dispatcher']['sessionChargeTest'][] = $res;

// daten ermitteln
	$count = $res['count'];

// erfolgreich
	$infoText = $count . ' Sessions wurden abgebucht';

} catch (Exception $e) {
	$GLOBALS['debug']['exception'][] = $e;
	if(!$break) $errorText = $e->getMessage();
}
?>
<form action="index.php?page=charge" method="post">
	<input type="hidden" name="action" value="charge">

	<b>Simulation: Abbuchen</b>
	<hr>

	<div>
		 Alle offenen Sessions werden abgebucht!
	</div>

	<div class="center">
		<input type="submit" value="Abbuchen">
	</div>

	<br>
	<div class="message">
		<span class="error"><?php echo $errorText; ?></span>
		<span class="info"><?php echo $infoText; ?></span>
	</div>
</form>


